Change a webhook endpoint
PATCH
/v1/admin/webhooks/{id}
const url = 'https://api.sealcord.com/v1/admin/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"url":"example","event_types":["licence.issued"],"enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.sealcord.com/v1/admin/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "url": "example", "event_types": [ "licence.issued" ], "enabled": true }'Change the URL or event types, or disable or enable an endpoint.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
url
string
event_types
Array<string>
enabled
boolean
Responses
Section titled “Responses”Missing or invalid API key.
Needs scope webhooks:write.